# gdcm::CSAElement Class Reference

Class to represent a CSA Element. More...

`#include <gdcmCSAElement.h>`

Collaboration diagram for gdcm::CSAElement:
[legend]

List of all members.

## Public Member Functions
| CSAElement (const CSAElement &_val)
| CSAElement (unsigned int kf=0)
const ByteValue * | GetByteValue () const
unsigned int | GetKey () const
| Set/Get Key.
const char * | GetName () const
| Set/Get Name.
unsigned int | GetNoOfItems () const
| Set/Get NoOfItems.
unsigned int | GetSyngoDT () const
| Set/Get SyngoDT.
Value & | GetValue ()
Value const & | GetValue () const
| Set/Get Value (bytes array, SQ of items, SQ of fragments):
const VM & | GetVM () const
| Set/Get VM.
VR const & | GetVR () const
| Set/Get VR.
bool | IsEmpty () const
| Check if CSA Element is empty.
bool | operator< (const CSAElement &de) const
CSAElement & | operator= (const CSAElement &de)
bool | operator== (const CSAElement &de) const
void | SetByteValue (const char *array, VL length)
| Set.
void | SetKey (unsigned int key)
void | SetName (const char *name)
void | SetNoOfItems (unsigned int items)
void | SetSyngoDT (unsigned int syngodt)
void | SetValue (Value const &vl)
void | SetVM (const VM &vm)
void | SetVR (VR const &vr)
## Protected Types
typedef SmartPointer< Value > | DataPtr
## Protected Attributes
DataPtr | DataField
unsigned int | KeyField
std::string | NameField
unsigned int | NoOfItemsField
unsigned int | SyngoDTField
VM | ValueMultiplicityField
VR | VRField
## Friends
std::ostream & | operator<< (std::ostream &os, const CSAElement &val)

## Detailed Description

Class to represent a CSA Element.

Examples:

  csa2img.cxx, and MrProtocol.cxx.

## Member Typedef Documentation

typedef SmartPointer<Value> gdcm::CSAElement::DataPtr`[protected]`

## Constructor & Destructor Documentation

gdcm::CSAElement::CSAElement | ( | unsigned int | kf = `0` | ) | `[inline]`

gdcm::CSAElement::CSAElement | ( | const CSAElement & | _val | ) | `[inline]`

## Member Function Documentation

const ByteValue* gdcm::CSAElement::GetByteValue | ( |  | ) | const`[inline]`

Return the Value of CSAElement as a ByteValue (if possible)

Warning:
  : You need to check for NULL return value

Examples:
  csa2img.cxx, and MrProtocol.cxx.

unsigned int gdcm::CSAElement::GetKey | ( |  | ) | const`[inline]`

Set/Get Key.

Referenced by operator<().

const char* gdcm::CSAElement::GetName | ( |  | ) | const`[inline]`

Set/Get Name.

unsigned int gdcm::CSAElement::GetNoOfItems | ( |  | ) | const`[inline]`

Set/Get NoOfItems.

unsigned int gdcm::CSAElement::GetSyngoDT | ( |  | ) | const`[inline]`

Set/Get SyngoDT.

Value& gdcm::CSAElement::GetValue | ( |  | ) | `[inline]`

Value const& gdcm::CSAElement::GetValue | ( |  | ) | const`[inline]`

Set/Get Value (bytes array, SQ of items, SQ of fragments):

Examples:
  csa2img.cxx.

const VM& gdcm::CSAElement::GetVM | ( |  | ) | const`[inline]`

Set/Get VM.

VR const& gdcm::CSAElement::GetVR | ( |  | ) | const`[inline]`

Set/Get VR.

bool gdcm::CSAElement::IsEmpty | ( |  | ) | const`[inline]`

Check if CSA Element is empty.

bool gdcm::CSAElement::operator< | ( | const CSAElement & | de | ) | const`[inline]`

References GetKey().

CSAElement& gdcm::CSAElement::operator= | ( | const CSAElement & | de | ) | `[inline]`

References DataField, KeyField, NameField, NoOfItemsField, SyngoDTField, ValueMultiplicityField, and VRField.

bool gdcm::CSAElement::operator== | ( | const CSAElement & | de | ) | const`[inline]`

References KeyField, NameField, SyngoDTField, ValueMultiplicityField, and VRField.

void gdcm::CSAElement::SetByteValue | ( | const char * | array,
|  | VL | length |
| ) |  |  | `[inline]`

Set.

void gdcm::CSAElement::SetKey | ( | unsigned int | key | ) | `[inline]`

void gdcm::CSAElement::SetName | ( | const char * | name | ) | `[inline]`

void gdcm::CSAElement::SetNoOfItems | ( | unsigned int | items | ) | `[inline]`

void gdcm::CSAElement::SetSyngoDT | ( | unsigned int | syngodt | ) | `[inline]`

void gdcm::CSAElement::SetValue | ( | Value const & | vl | ) | `[inline]`

void gdcm::CSAElement::SetVM | ( | const VM & | vm | ) | `[inline]`

void gdcm::CSAElement::SetVR | ( | VR const & | vr | ) | `[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const CSAElement & | val |
| ) |  |  | `[friend]`

## Member Data Documentation

DataPtr gdcm::CSAElement::DataField`[protected]`

Referenced by gdcm::operator<<(), and operator=().

unsigned int gdcm::CSAElement::KeyField`[protected]`

Referenced by gdcm::operator<<(), operator=(), and operator==().

std::string gdcm::CSAElement::NameField`[protected]`

Referenced by gdcm::operator<<(), operator=(), and operator==().

unsigned int gdcm::CSAElement::NoOfItemsField`[protected]`

Referenced by gdcm::operator<<(), and operator=().

unsigned int gdcm::CSAElement::SyngoDTField`[protected]`

Referenced by gdcm::operator<<(), operator=(), and operator==().

VM gdcm::CSAElement::ValueMultiplicityField`[protected]`

Referenced by gdcm::operator<<(), operator=(), and operator==().

VR gdcm::CSAElement::VRField`[protected]`

Referenced by gdcm::operator<<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- gdcmCSAElement.h